# Lesson Five - More Advanced Form Elements

## Advanced Forms
Introduce some more advanced form features such as:
Checkboxes
Radio Buttons
Select
Multi-select

For more info on forms I recommend [the forms tutorial at w3schools](https://www.w3schools.com/html/html_forms.asp)

Actually use some of them to create a dice roller.

But make it ajaxjson + a restful API


introduce testing
both unit and performance
use pew pew or ab for perf testing
